from backend.co_models import Usuario
from backend.db_core import SessionLocal

session = SessionLocal()

try:
    # Registramos a alguien de prueba
    usuario = Usuario.registrar(session, "Gelo", "1234", 1)
    print(f"✅ Usuario {usuario.nombre_completo} creado con ID: {usuario.id_usuario}")
except Exception as e:
    session.rollback()
    print(f"❌ Error: {e}")
finally:
    session.close()